<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ 'Military.Battles.ActiveBattles' | translate }} </nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div *ngIf="isLoading === true" style="min-height: 200px;"></div>
</nz-spin>

<div *ngIf="list">
  <div style="text-align: center" *ngIf="list.length === 0">
    <img src="../../../../assets/img/icons/peace.png" style="width: 10%;">

    <div style="margin-top: 20px">{{ "Military.Wars.NoBattles" | translate }}</div>
  </div>

  <div nz-row nzGutter="16">
    <div nz-col nzXs="24" nzSm="12" nzMd="12" nzLg="12" nzXl="12" *ngFor="let battle of list" style="margin-bottom: 16px;">
      <nz-card nzSize="small" [nzTitle]="currentBattleTitle" [nzExtra]="currentBattleExtra" nzHoverable>
        <div nz-row style="text-align: center">
          <div nz-col nzSpan="10">
            <a [routerLink]="['/country', battle?.countryAttacking?.id]">
              <img class="country-flag"  src="{{ battle?.attackerCountry?.flagLocation }}" />
            </a>
          </div>
          <div nz-col nzSpan="4" style="text-align: center; padding-top: 15px">
            Vs
            <br>
            <nz-countdown *ngIf="battle" [nzValue]="battle.endDateTime"></nz-countdown>
          </div>
          <div nz-col nzSpan="10">
            <a [routerLink]="['/country', battle?.countryDefending?.id]">
              <img class="country-flag"  src="{{ battle?.defenderCountry?.flagLocation }}" />
            </a>
          </div>
        </div>

        <div nz-row style="text-align: center">
          <div nz-col nzSpan="10">
            <a [routerLink]="['/country', battle?.countryAttacking?.id]">
              {{ battle?.countryAttacking?.name | translate }}
            </a>
          </div>
          <div nz-col nzSpan="4"></div>
          <div nz-col nzSpan="10">
            <a [routerLink]="['/country', battle?.countryDefending?.id]">
              {{ battle?.countryDefending?.name | translate }}
            </a>
          </div>
        </div>

        <div nz-row style="margin-top: 5px">
          <div nz-col nzSpan="12">
            <nz-tag [nzColor]="battle?.wallSize < 0 ? 'red' : 'green'">{{ 'Military.Battles.Wall' | translate }}: {{ battle?.wallSize }}/{{
                  battle?.startingWallSize
                }}</nz-tag>
          </div>
          <div nz-col nzSpan="12" style="text-align: center">
            <button nz-button nzSize="small" nzType="primary" nzShape="round" style="float: right"
              [routerLink]="['/battle', battle?.id]">
              {{ 'Common.Buttons.View' | translate }}
            </button>
          </div>
        </div>

        <ng-template #currentBattleTitle>
          {{ 'Military.Battles.BattleForRegion' | translate }}
          <a [routerLink]="['/region', battle.region.id]">
            {{ battle.region.name }}
          </a>
        </ng-template>
        <ng-template #currentBattleExtra>
          <span id="battle-list-timer" *ngIf="battle.isArchive === false">
            <nz-countdown [nzValue]="battle.endDateTimeSeconds"></nz-countdown>
          </span>
        </ng-template>
      </nz-card>
    </div>
  </div>
</div>
